#include "cups_debug_logging_checkbox.h"
#include "ukui_printer.h"

#include <QVBoxLayout>
CupsDebugLoggingCheckbox::CupsDebugLoggingCheckbox(QWidget *parent) :
    QCheckBox(parent)
{
    setText(tr("Retain debug info for troubleshooting"));
    setChecked(UkuiPrinterManager::getInstance().getCupsDebugLogging());
}

CupsDebugLoggingCheckbox::~CupsDebugLoggingCheckbox()
{

}

void CupsDebugLoggingCheckbox::saveDebugLogging()
{
    UkuiPrinterManager::getInstance().setCupsDebugLogging(isChecked());
	return ;
}